# GetLicenseInfoEx

### Description

Retrieves information about an Activation Key.

```csharp
  ILicenseInfo GetLicenseInfoEx (string webServiceUrl, 
                                 string activationKey, 
                                 string computerID,
                                 bool historyTable,
                                 ExtendedLicenseInformation exLicenseInfo, 
                                 out string dataSet, 
                                 out string response)
```

### Parameters

| Parameter     |                                                    Type                                                   | Description                                                    |
| ------------- | :-------------------------------------------------------------------------------------------------------: | -------------------------------------------------------------- |
| webServiceUrl |                                                   string                                                  | URL to the QLM License Server                                  |
| activationKey |                                                   string                                                  | the license key to activate                                    |
| computerID    |                                                   string                                                  | computer unique identifier                                     |
| historyTable  |                                                    bool                                                   | search for the activation key in the history table             |
| exLicenseInfo | [ExtendedLicenseInformation](/docs/api-reference/.net-api/qlmlicense/enums/extendedlicenseinformation.md) | specifies the level of information to retrieve from the server |
| dataSet       |                                                 out string                                                | data set returned by the server                                |
| response      |                                                 out string                                                | result of the call to the server.                              |

### Return

| Type                                                         | Description                   |
| ------------------------------------------------------------ | ----------------------------- |
| [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md) | information about the license |

## Remarks

To parse the data returned in dataSet, check this [article](https://support.soraco.co/hc/en-us/articles/200704985-How-to-parse-data-returned-by-GetDataSet-or-GetDataSetEx-).

### C# Example

```csharp
ILicenseInfo li = license.GetLicenseInfo (webServiceUrl, "A2GM0-50K00-PYU3F-784HH-1U1V5T", 
                                           false, out dataSet out response);
if (li != null)
{
    int numLicenses = li.NumLicenses;
    int availableLicenses = li.AvailableLicenses;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getlicenseinfoex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
